#
# spec file for package python-adapt-parser
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-adapt-parser
Version:        0.3.0
Release:        2.2
License:        LGPL-3.0
Summary:        A text-to-intent parsing framework
Url:            https://github.com/MycroftAI/adapt
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/a/adapt-parser/adapt-parser-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
Requires:       python-pyee >= 1.0.1
Requires:       python-six >= 1.10.0
BuildArch:      noarch

%python_subpackages

%description
The Adapt Intent Parser is a flexible and extensible intent definition and
determination framework. It is intended to parse natural language text into
a structured intent that can then be invoked programatically.

%prep
%setup -q -n adapt-parser-%{version}
sed -i -s "s/==/>=/" setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Tue Jan  9 2018 alarrosa@suse.com
- Remove unneeded buildrequires
* Fri Nov 17 2017 alarrosa@suse.com
- Don't force to require specific python module versions in requirements.txt,
  but allow newer versions since TW usually updates quite often and
  python-adapt-parser should continue working.
* Tue Sep  5 2017 alarrosa@suse.com
- Initial release of adapt-parser 0.3.0
